DS_ALLOC_DIM_DESC(3)

FUNCTION
ds_alloc_dim_desc - Allocate a dimension descriptor.

SYNOPSIS
#include <karma_ds.h>

dim_desc * ds_alloc_dim_desc

(CONST char *dim_name, uaddr length, double first, double last, flag regular)

DESCRIPTION
Allocate a dimension descriptor.

dim_name
    The name of the dimension. The name is copied, thus the input character string may be subsequently deallocated.

length
    The length (number of co-ordinates) of the dimension.

first
    The first dimension co-ordinate.

last
    The last dimension co-ordinate.

regular
    If TRUE the co-ordinates of the dimension are regularly spaced, else the co-ordinates are not regularly spaced. If the co-ordinates are regularly spaced the <<coordinates>> field of the array descriptor will be set to NULL, else it will point to an array of doubles of length <<length>> These co-ordinates will be set to 0.0.

RETURN VALUE
A pointer to the descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/